Module java.desktop
Package javax.sound.sampled

# Interface LineListener

All Superinterfaces:
  `EventListener`

    public interface LineListener
    extends EventListener

Instances of classes that implement the `LineListener` interface can register to receive events when a line's status changes.

Since:
  1.3
See Also:
  `Line`, `Line.addLineListener(javax.sound.sampled.LineListener)`, `Line.removeLineListener(javax.sound.sampled.LineListener)`, `LineEvent`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `update​(LineEvent event)` | Informs the listener that a line's state has changed.

## Method Details

### update

void update​(LineEvent event)
Informs the listener that a line's state has changed. The listener can then invoke `LineEvent` methods to obtain information about the event.

Parameters:
  `event` - a line event that describes the change